/******************************************************************************************/
/******************************************************************************************/
/*                                                                                        */
/* Trigger: DTULTATU_TIPOCONSCLI                                                           */
/* Tabela : TIPOCONSCLI                                                                    */
/*                                                                                        */
/* Criao:                                                                               */
/* 28/09/2005 - Wanderson Aloisio                                                         */
/*                                                                                        */
/******************************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_TIPOCONSCLI'  and
            type = 'TR' and
            u.uid = o.uid and
            u.name = USER)
   DROP TRIGGER DTULTATU_TIPOCONSCLI
GO

CREATE TRIGGER DTULTATU_TIPOCONSCLI
ON TIPOCONSCLI
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'TIPOCONSCLI', '', 'CDCLIENTE='+CDCLIENTE+';CDTIPOCONS='+CDTIPOCONS+';NMTIPOCONSCLI='+NMTIPOCONSCLI+';', GETDATE() FROM DELETED)
   END ELSE BEGIN
      UPDATE TIPOCONSCLI
      SET DTULTATUCCLI = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(TIPOCONSCLI.CDCLIENTE ,0) = ISNULL(INSERTED.CDCLIENTE ,0)) AND
            (ISNULL(TIPOCONSCLI.CDTIPOCONS,0) = ISNULL(INSERTED.CDTIPOCONS,0)) AND
            (ISNULL(TIPOCONSCLI.NMTIPOCONSCLI,0) = ISNULL(INSERTED.NMTIPOCONSCLI,0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_TIPOCONSCLI','5.03.006';
GO


